function [closestRows] = findCloseRows(matrix, targetRow)
%  this function finds the rows in the matrixs that most closely 
%  match the target row, excluding the target row


rows = size(matrix,1);
cols = size(matrix,2);

closestRows = zeros(rows, 2);

for i = 1:rows
    
    %record the row
    closestRows(i,1) = i;
    %and the euclidian distance normalized by the range
    closestRows(i,2) = sqrt((sum(abs(matrix(i,:)-matrix(targetRow,:))).^2));
    
end

%sort by the distance, putting the closest on top
closestRows = sortrows(closestRows,2);

%the element with a distance of 0 is on top... it's the targetRow
closestRows(1,:) = [];


