%Multivariable Linear Regression

%highest correlation -> lowest correlation 
varByCorrelation = [11, 27, 15, 14, 20, 33, 35, 21];

X = ones(rows,1);
varsUsed = 1; % BIC includes the constant as a regressor

for var = varByCorrelation
    
    %add another variable
    X = [X beerData(:,var)];
    varsUsed=varsUsed+1;
    
    %regress the variables against the actual results
    %a = X\beerData(:,end)
    %warning off all %the L1LinearRegression throws a lot of warnings
    a = L1LinearRegression(X, beerData(:,end))

    %compute the model's results
    Y = [ones(rows,1) X]*a; % need to add a ones column if I used L1
    
    %record the maximum difference between the model's results and actual
    maxError = max(abs(Y - beerData(:,end)))
    RSS = sum((beerData(:,end) - Y).^2)
    BIC = log(RSS/rows) + varsUsed*log(rows)
    AIC = 2*varsUsed + rows*(log((2*pi*RSS)/rows + 1))
    
end