% Principle Component Analysis

% remove the Y column
[z, mu, sigma] = zscore(beerData);
[coefs, score, var, t2] = princomp(z);

X = [];
maxError = [];
RSS = [];
BIC = [];
AIC = [];

%percent_explained = 100*var/sum(var);
%pareto(percent_explained);
%xlabel('Principal Component');
%ylabel('Variance Explained (%)');

for i = 1:2
    
    %add another component
    X = [X i];
    varsUsed = size(X,2);

    %translate the information to the new plane
    %scores = (beerData - allMeans) * coefs(:,X);
    %compute the model's results
    Y = score(:,X) * coefs(:,X)' + repmat(mu,rows,1);
    
    %record the maximum difference between the model's results and actual
    maxError = [maxError max(abs(Y(:,end) - beerData(:,end)))]
    RSS = [RSS sum((beerData(:,end) - Y(:,end)).^2)]
    BIC = [BIC log(RSS/rows) + varsUsed*log(rows)]
    AIC = [AIC 2*varsUsed + rows*(log((2*pi*RSS)/rows + 1))]
    
end